Mình muốn làm tự động việc đo chiều dài chi tiết của các thanh thép. nhưng mày mò hoài vẫn chưa được nhờ mọi người giúp đỡ. Thanh thép là đường polyline có các cung tròn (điểm uốn thép) Đây là lisp mình lấy từ diễn đàn về có chỉnh sửa lại đôi chút nhưng vẫn đang làn thủ công: 1. Phải chọn điểm đặt cho từng DIM 2. Gặp phải đường cong tròn là phải chọn cung tròn và điểm đặt mới thực hiện được Nhờ mọi người giúp đỡ để công việc đó được nhanh hơn, chỉ cần chọn polyline và nhập khoảng cách hoặc pick chuột 1 lần (defun darl (/ e1 e2 ra an alen) ;; (command "dimradius" pause "") (setq e1 (entlast)) (command "dimangular" pause (getpoint "\n Chon diem dat ")) (setq e2 (entlast)) (setq Ra (cdr (assoc 42 (entget e1)))) (setq an (cdr (assoc 42 (setq el (entget e2))))) (setq alen (* ra an)) (entmod (subst (cons 1 (rtos alen 2 2)) (assoc 1 el) el)) (command "erase" e1 "") ) ;;;;;;;;;;;;;;;;;;; (defun c:dimpo (/ e verl els bulst k i p1 p2 ) (vl-load-com) (setq e (car (entsel "\n Chon duong can do "))) (setq verl (acet-geom-vertex-list e) els (entget e) bulst (list) k 0 ) (command "undo" "be") (foreach en els (if (= (car en) 42) (setq bulst (append bulst (list (list (nth k verl) (cdr en)))) k (1+ k) ) ) ) (foreach bul bulst (setq i (vl-position bul bulst) p1 (nth i verl) p2 (nth (1+ i) verl)) (if (and p1 p2) (progn (if (= (cadr bul) 0) (command "dimaligned" p1 p2 (getpoint "\n Chon diem dat ")) (progn (command "_dimarc" pause (getpoint "\n Chon diem dat ")) (command "dimradius" pause "") ) ;(darl) ) ) ) ) (command "undo" "e") ) Đây là file đính kèmhttp://www.cadviet.com/upfiles/5/66960_thu.dwg